WebService::MusicBrainz::Label(3)

NAME
WebService::MusicBrainz::Label

SYNOPSIS
    use WebService::MusicBrainz::Label;

    my $ws = WebService::MusicBrainz::Label->new();

    my $response = $ws->search({ NAME => 'warner music' });

    my $label = $response->label(); # get first in list

    print $label->name(), " ", $artist->type(), "\n";

    # OUTPUT: Warner Music Australia Distributor

DESCRIPTION
This module is used to query an artist from the MusicBrainz web service.

METHODS

  new()
This method is the constructor and it will make a call for initialization.

my $ws = WebService::MusicBrainz::Label->new();

  query()
This method returns the cached WebService::MusicBrainz::Query object.

  search()
This method will perform the search of the MusicBrainz database through their web service schema and return a response object.

    my $ws = WebService::MusicBrainz::Label->new();

    my $response = $ws->search({ MBID => 'd15721d8-56b4-453d-b506-fc915b14cba2' });
    my $response = $ws->search({ NAME => 'throwing muses' });
    my $response = $ws->search({ NAME => 'james', LIMIT => 5 });
    my $response = $ws->search({ NAME => 'beatles', OFFSET => 5 });
    my $response = $ws->search({ MBID => '65f4f0c5-ef9e-490c-aee3-909e7ae6b2ab', INC => 'aliases' });
    my $response = $ws->search({ MBID => '65f4f0c5-ef9e-490c-aee3-909e7ae6b2ab', INC => 'artist-rels' });
    my $response = $ws->search({ MBID => '65f4f0c5-ef9e-490c-aee3-909e7ae6b2ab', INC => 'release-rels' });
    my $response = $ws->search({ MBID => '65f4f0c5-ef9e-490c-aee3-909e7ae6b2ab', INC => 'track-rels' });
    my $response = $ws->search({ MBID => '65f4f0c5-ef9e-490c-aee3-909e7ae6b2ab', INC => 'url-rels' });

AUTHOR

Bob Faist <bob.faist@gmail.com>

COPYRIGHT AND LICENSE
Copyright 2006-2007 by Bob Faist

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
http://wiki.musicbrainz.org/XMLWebService